<div class="wrapper-outer">
    <div class="container">
        <div class="row">
            <div class="col-sm-12">
                <div class="cont-login">
                    <div class="ratings-top">
                        <div class="prof-action">
                            <div class="r-star stars">
                                <ul class="rating inline-ul">
                                    <span>Rating:</span>
                                    <li *ngFor="let star of stars; let i = index">
                                        <i
                                            class="fas fa-star"
                                            *ngIf="rating >= i + 0.5; else emptyStar"
                                            [ngClass]="{'fa-star-half-alt': rating >= i + 0.5 && rating < i + 1,
                                                        'fa-star': rating >= i + 1}"
                                        >
                                        </i>
                                    </li>
                                    <span> ({{rating}}) </span>
                                </ul>
                                <ng-template #emptyStar>
                                    <i class="far fa-star"></i>
                                </ng-template>
                            </div>
                            <!-- <a href="javascript:void(0);"
                                (click)="viewCandidateProfile(candidate.candidateId,candidate.jobId,candidate.roleId)"
                                class="btn">View Profile</a> -->
                        </div>
                    </div>
                    <div class="profile-avatar main-profile">
                        <!-- <img src="{{personalDetailsList?.profilePic}}"> -->

                        <img alt="" *ngIf="personalDetailsList?.profilePic; else defaultProfilePic" [src]="personalDetailsList?.profilePic" />
                        <ng-template #defaultProfilePic>
                            <img alt="" src="assets/images/default-profile-picture.png" />
                        </ng-template>
                    </div>
                    <div class="complt-shft">
                        <!-- <strong>{{avail.day}}</strong> -->
                        Shifts Completed:
                        <!-- {{availability.length}} -->
                    </div>
                    <!-- <div class="complt-shft">Shifts Completed:2</div> -->

                    <mat-accordion class="static-accordion-space">
                        <mat-expansion-panel>
                            <mat-expansion-panel-header>
                                <mat-panel-title>
                                    Personal Details
                                </mat-panel-title>
                            </mat-expansion-panel-header>
                            <div class="acrdn-cont">
                                <div class="acrdn-cont-inr">
                                    <div class="row">
                                        <div class="col-6">
                                            <p>
                                                <strong>Name</strong>
                                                <span>{{personalDetailsList.FullName}}</span>
                                            </p>
                                        </div>
                                        <div class="col-6">
                                            <p>
                                                <strong>D.O.B</strong>
                                                <span> {{personalDetailsList.dob}} </span>
                                            </p>
                                        </div>
                                        <div class="col-12">
                                            <p>
                                                <strong>Address</strong>
                                                <span>{{personalDetailsList.address}}</span>
                                            </p>
                                        </div>
                                        <div class="col-6">
                                            <p>
                                                <strong>Post Code</strong>
                                                <span>{{personalDetailsList.postCode}}</span>
                                            </p>
                                        </div>
                                        <div class="col-6">
                                            <p>
                                                <strong>City</strong>
                                                <span>{{personalDetailsList.city}}</span>
                                            </p>
                                        </div>
                                        <div class="col-6">
                                            <p>
                                                <strong>Contact Number</strong>
                                                <span>{{personalDetailsList.contactNo}}</span>
                                            </p>
                                        </div>
                                        <div class="col-6">
                                            <p>
                                                <strong>Country</strong>
                                                <span>{{personalDetailsList.country}}</span>
                                            </p>
                                        </div>
                                        <div class="col-12">
                                            <p>
                                                <strong>Email</strong>
                                                <span>{{personalDetailsList.email}}</span>
                                            </p>
                                        </div>
                                        <div class="col-6">
                                            <p>
                                                <strong>Alternative Email</strong>
                                                <span>{{personalDetailsList.secondaryEmailId}}</span>
                                            </p>
                                        </div>
                                        <!-- <div> -->

                                        <!-- </div> -->
                                    </div>
                                    <div class="row">
                                        <div class="col-12">
                                            <strong>Languages</strong>
                                        </div>
                                        <span *ngFor="let language of languageList">
                                            <div class="col-6" style="margin-top: 5px;">
                                                <p>
                                                    <strong> {{language.name}} </strong>
                                                    <span> {{language.rank}} </span>
                                                </p>
                                            </div>
                                        </span>
                                    </div>
                                </div>
                                <div class="acrdn-cont-inr kin-btm">
                                    <div class="row">
                                        <div class="col-12">
                                            <h4>Next of Kin</h4>
                                        </div>
                                        <div class="col-6">
                                            <p>
                                                <strong>Name</strong>
                                                <span>{{personalDetailsList.kinName}}</span>
                                            </p>
                                        </div>
                                        <div class="col-6">
                                            <p>
                                                <strong>Relation</strong>
                                                <span>{{personalDetailsList.relationWithKin}}</span>
                                            </p>
                                        </div>
                                        <div class="col-6">
                                            <p>
                                                <strong>Contact Number</strong>
                                                <span>{{personalDetailsList.kinContactNo}}</span>
                                            </p>
                                        </div>
                                        <div class="col-12">
                                            <p>
                                                <strong>Kin's Email</strong>
                                                <span>{{personalDetailsList.email_address}}</span>
                                            </p>
                                        </div>
                                        <div class="col-6">
                                            <p>
                                                <strong>kin's Address</strong>
                                                <span>{{personalDetailsList.home_address}}</span>
                                            </p>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </mat-expansion-panel>

                        <mat-expansion-panel>
                            <mat-expansion-panel-header>
                                <mat-panel-title>
                                    Work Experience
                                </mat-panel-title>
                            </mat-expansion-panel-header>
                            <div class="acrdn-cont" *ngFor="let workexp of workExpList ;let i = index">
                                <ng-container *ngIf="i < 5 && !showapplies">
                                <div class="acrdn-cont-inr kin-btm">
                                    <div class="row">
                                        <div class="col-md-12">
                                            <h4 style="color: #000;font-weight: 700;font-size: 16px;">Experience</h4>
                                        </div>
                                    </div>
                                    <div class="acrdn-cont-inr">
                                        <div class="row work-experiences">
                                            <div class="col-12">
                                                <p>
                                                    <strong>{{workexp.companyName}} , {{workexp.roleDetails?.jobRoleName}} </strong>
                                                    <span> {{workexp.startDate }} - {{workexp.endDate }} </span>
                                                </p>
                                            </div>
                                            <!-- <div class="col-12">
                                                <p>
                                                    <strong>Company Name</strong>
                                                    <span> {{workexp.companyName}} </span>
                                                </p>
                                            </div> -->
                                            <!-- <div class="col-12">
                                                <p>
                                                    <strong>Start Date</strong>
                                                    <span> {{workexp.startDate }} </span>
                                                </p>
                                            </div>
                                            <div class="col-12">
                                                <p>
                                                    <strong>End Date</strong>
                                                    <span> {{workexp.endDate }} </span>
                                                </p>
                                            </div> -->

                                            <div class="col-12">
                                                <p>
                                                    <strong>Job Duties</strong>
                                                    <span> {{workexp.description}} </span>
                                                </p>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="acrdn-cont-inr spc-btm">
                                    <!-- <div class="row">
                                        <div class="col-12">
                                            <h4 style="color: #000;font-weight: 700;font-size: 16px;">References</h4>
                                        </div>
                                    </div> -->
                                        <div class="row work-experiences">
                                        <div class="col-12">
                                            <p>
                                                <strong>References</strong>
                                                <span> {{workexp.referencePosition}} </span><br>
                                                <span> {{workexp.referenceName}} </span><br>
                                                <span> {{workexp.referenceContact}} </span><br>
                                                <span>{{workexp?.referenceEmailAddress}}</span><br>
                                                <span> {{workexp.referenceAddressDetails}} </span>
                                            </p>
                                        </div>
                                        <!-- <div class="col-12">
                                            <p>
                                                <strong>Contact Number</strong>
                                                <span> {{workexp.referenceContact}} </span>
                                            </p>
                                        </div>
                                        <div class="col-12">
                                            <p>
                                                <strong>Position</strong>
                                                <span> {{workexp.referencePosition}} </span>
                                            </p>
                                        </div>
                                        <div class="col-12">
                                            <p>
                                                <strong>Address Details</strong>
                                                <span> {{workexp.referenceAddressDetails}} </span>
                                            </p>
                                        </div> -->
                                    </div>
                                </div>
                            </ng-container>
                            <ng-container *ngIf="showapplies">
                                <div class="acrdn-cont-inr kin-btm">
                                    <div class="row">
                                        <div class="col-md-12">
                                            <h4 style="color: #000;font-weight: 700;font-size: 16px;">Experience</h4>
                                        </div>
                                    </div>
                                    <div class="acrdn-cont-inr">
                                        <div class="row work-experiences">
                                            <div class="col-12">
                                                <p>
                                                    <strong>{{workexp.companyName}} , {{workexp.roleDetails?.jobRoleName}} </strong>
                                                    <span> {{workexp.startDate }} - {{workexp.endDate }} </span>
                                                </p>
                                            </div>
                                            <!-- <div class="col-12">
                                                <p>
                                                    <strong>Company Name</strong>
                                                    <span> {{workexp.companyName}} </span>
                                                </p>
                                            </div> -->
                                            <!-- <div class="col-12">
                                                <p>
                                                    <strong>Start Date</strong>
                                                    <span> {{workexp.startDate }} </span>
                                                </p>
                                            </div>
                                            <div class="col-12">
                                                <p>
                                                    <strong>End Date</strong>
                                                    <span> {{workexp.endDate }} </span>
                                                </p>
                                            </div> -->

                                            <div class="col-12">
                                                <p>
                                                    <strong>Job Duties</strong>
                                                    <span> {{workexp.description}} </span>
                                                </p>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="acrdn-cont-inr spc-btm">
                                    <!-- <div class="row">
                                        <div class="col-12">
                                            <h4 style="color: #000;font-weight: 700;font-size: 16px;">References</h4>
                                        </div>
                                    </div> -->
                                        <div class="row work-experiences">
                                        <div class="col-12">
                                            <p>
                                                <strong>References</strong>
                                                <span> {{workexp.referencePosition}} </span><br>
                                                <span> {{workexp.referenceName}} </span><br>
                                                <span> {{workexp.referenceContact}} </span><br>
                                                <span>{{workexp?.referenceEmailAddress}}</span><br>
                                                <span> {{workexp.referenceAddressDetails}} </span>
                                            </p>
                                        </div>
                                        <!-- <div class="col-12">
                                            <p>
                                                <strong>Contact Number</strong>
                                                <span> {{workexp.referenceContact}} </span>
                                            </p>
                                        </div>
                                        <div class="col-12">
                                            <p>
                                                <strong>Position</strong>
                                                <span> {{workexp.referencePosition}} </span>
                                            </p>
                                        </div>
                                        <div class="col-12">
                                            <p>
                                                <strong>Address Details</strong>
                                                <span> {{workexp.referenceAddressDetails}} </span>
                                            </p>
                                        </div> -->
                                    </div>
                                </div>
                            </ng-container>
                            </div>
                            <div class="arrow" style="text-align: right;font-size: 20px;color: #cf00ae;" *ngIf="!showArrowApllied && workExpList.length>5">
                                <a href="javascript:void(0);" (click)="showapplidMoreRole()" tooltip="Show More"> <i class="fas fa-angle-down"></i></a>
                             </div>
                             <div class="arrow" style="text-align: right;font-size: 20px;color: #cf00ae;" *ngIf="showArrowApllied && workExpList.length>5">
                                 <a href="javascript:void(0);" (click)="showappliedLessRole()" tooltip="Show Less"> <i class="fas fa-angle-up"></i></a>
                              </div>
                        </mat-expansion-panel>

                        <!-- <mat-expansion-panel>
                            <mat-expansion-panel-header>
                                <mat-panel-title>
                                    Languages
                                </mat-panel-title>
                            </mat-expansion-panel-header>
                            <div class="acrdn-cont">
                                <div class="acrdn-cont-inr">
                                    <div class="row">
                                        <div class="col-6" *ngFor="let language of languageList">
                                            <p>
                                                <strong> {{language.name}} </strong>
                                                <span> {{language.rank}} </span>
                                            </p>
                                        </div>
                                        
                                    </div>
                                </div>
                            </div>
                        </mat-expansion-panel> -->

                        <mat-expansion-panel>
                            <mat-expansion-panel-header>
                                <mat-panel-title>
                                    Proximity
                                </mat-panel-title>
                            </mat-expansion-panel-header>
                            <div class="acrdn-cont">
                                <div class="acrdn-cont-inr">
                                    <div class="row">
                                        <div class="col-6">
                                            <p>
                                                <strong>Distance to Work</strong>
                                                <span>{{proximityList.distance}} Miles</span>
                                                <br />
                                                <br />
                                                <strong>Location Name</strong>
                                                <span>{{proximityList.geolocation.locationName}}</span>
                                            </p>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </mat-expansion-panel>

                        <mat-expansion-panel>
                            <mat-expansion-panel-header>
                                <mat-panel-title>
                                    Job Roles
                                </mat-panel-title>
                            </mat-expansion-panel-header>
                            <div class="acrdn-cont">
                                <div class="acrdn-cont-inr">
                                    <div class="row">
                                        <!-- <div class="col-6">
                                            <p>
                                                    <strong>industry</strong>
                                                <span *ngFor="let industryNames of industryName">
                                                    <p> {{industryNames}}</p>
                                                  
                                                </span>
                                            </p>
                                            </div> -->
                                        <!---<div class="col-12">     
                                                <p>

                                              <strong style="margin-bottom: 10px;"><u class="alg-mig">Industry</u>  <u class="alg-mrg"> Role</u>   <u class="alg-msg">Skill</u></strong>
                                              <span *ngFor="let industryNames of industryName">
                                                <span *ngFor="let skill of industryNames.skillDetails">
                                                  
                                                    <p> {{industryNames?.industryName}}  -  {{industryNames?.jobRoleName}}  -  {{skill.skillName}}</p>
                                                  
                                                </span>
                                            </span>
                                    
                                       
                                            </p>
                                            </div>--->
                                        <div class="job-role-profile">
                                            <div class="single-appoinment">
                                                <strong>Industry</strong>
                                                <ng-container >
                                                   
                                                <p>
                                                    <ng-container *ngFor="let industryNames of industryName;let i = index">
                                                        <ng-container *ngIf="i>0">, </ng-container> {{industryNames?.industryName}}
                                                    </ng-container>
                                                </p>
                                            </ng-container>
                                            </div>

                                            <div class="single-appoinment">
                                                <strong>Roles</strong>

                                                <div class="single-roles" *ngFor="let industryNames of industryName ; let j =index">
                                                   

                                                    <ng-container *ngIf="j < 5 && !showRole">
                                                    <div class="row">
                                                        <div class="col-sm-1">
                                                            <i class="fas fa-user-alt"></i>
                                                        </div>
                                                        <div class="col-sm-11">
                                                            <span>{{industryNames?.industryName}} - {{industryNames?.jobRoleName}}</span>
                                                           
                                                            <p> 
                                                                <ng-container *ngFor="let skill of industryNames.skillDetails;let i= index">
                                                                <ng-container *ngIf="i>0"> ,</ng-container>{{skill.skillName}}
                                                            </ng-container>
                                                             </p>
                                                       
                                                        </div>
                                                    </div>
                                                </ng-container>
                                                <ng-container *ngIf="showRole">
                                                    <div class="row">
                                                        <div class="col-sm-1">
                                                            <i class="fas fa-user-alt"></i>
                                                        </div>
                                                        <div class="col-sm-11">
                                                            <span>{{industryNames?.industryName}} - {{industryNames?.jobRoleName}}</span>
                                                            
                                                            <p> 
                                                                <ng-container *ngFor="let skill of industryNames.skillDetails;let i= index">
                                                                <ng-container *ngIf="i>0">, </ng-container> {{skill.skillName}} 
                                                            </ng-container>
                                                            </p>
                                                       
                                                        </div>
                                                    </div>
                                                </ng-container>
                                                </div>
                                           
                                                <!-- <div class="single-roles">
                                                    <div class="row">
                                                        <div class="col-sm-1">
                                                            <i class="fas fa-user-alt"></i>
                                                        </div>
                                                        <div class="col-sm-11">
                                                            <span>Hospitality - Generel Staff</span>
                                                            <p>Lorem ipsum dolor sit amet lorem ipsum dolor sit amet</p>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="single-roles">
                                                    <div class="row">
                                                        <div class="col-sm-1">
                                                            <i class="fas fa-user-alt"></i>
                                                        </div>
                                                        <div class="col-sm-11">
                                                            <span>Hospitality - Generel Staff</span>
                                                            <p>Lorem ipsum dolor sit amet lorem ipsum dolor sit amet</p>
                                                        </div>
                                                    </div>
                                                </div> -->
                                            </div>
                                        </div>

                                        <!-- <div class="col-12">
                                                <p>
                                                <strong>Skills</strong>
                                                <span *ngFor="let skillObj of skills">
                                                    <span *ngFor="let skill of skillObj">
                                                        <p>{{skill.isSelected?skill.skillName:''}}</p>
                                                    </span>
                                                </span>
                                            </p>
                                    </div> -->
                                    </div>
                                </div>
                            </div>
                            <div class="arrow" style="text-align: right;font-size: 20px;color: #cf00ae;" *ngIf="!showArraow && industryName.length>5">
                                <a href="javascript:void(0);" (click)="showMoreRole()" tooltip="Show More"> <i class="fas fa-angle-down"></i></a>
                             </div>
                             <div class="arrow" style="text-align: right;font-size: 20px;color: #cf00ae;" *ngIf="showArraow && industryName.length>5">
                                 <a href="javascript:void(0);" (click)="showLessRole()" tooltip="Show Less"> <i class="fas fa-angle-up"></i></a>
                              </div>
                        </mat-expansion-panel>

                        <mat-expansion-panel>
                            <mat-expansion-panel-header>
                                <mat-panel-title>
                                    Uploads
                                </mat-panel-title>
                            </mat-expansion-panel-header>
                            <div class="acrdn-cont">
                                <div class="acrdn-cont-inr">
                                    <div class="row">
                                        <div class="col-6">
                                            <p>
                                                <strong>Document</strong>
                                                <span *ngFor="let docs of uploadedFilesList.docs">
                                                    <p>{{docs?.docName}}</p>
                                                    <!-- Text file.pdf -->
                                                </span>
                                            </p>
                                        </div>
                                        <!-- <div class="col-6">
                                            <p>
                                                <strong>CV</strong>
                                                <span> {{uploadedFilesList.cv?.cvName}} </span>
                                            </p>
                                        </div> -->
                                        <div class="col-6">
                                            <p>
                                                <strong>Video</strong>
                                                <span> {{uploadedFilesList.video?.videoName}} </span>
                                            </p>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </mat-expansion-panel>

                        <mat-expansion-panel>
                            <mat-expansion-panel-header>
                                <mat-panel-title>
                                    Availability
                                </mat-panel-title>
                            </mat-expansion-panel-header>
                            <div class="acrdn-cont">
                                <div class="acrdn-cont-inr">
                                    <div class="row">
                                        <div class="col-12" *ngFor="let avail of availability">
                                            
                                            <p>
                                                
                                                <strong>{{avail.day}}</strong>
                                                <span *ngFor="let slot of avail.timeSlotDetails;let i = index"><ng-container *ngIf="i>0">, </ng-container>{{ slot.slotName }} </span>
                                           
                                            </p>
                                            
                                        </div>
                                        <div class="col-12">
                                            <p>
                                                <strong>Days Off</strong>
                                                <span>
                                                    <p>
                                                        <ng-container *ngFor="let dates of daysOffList;let i =index">
                                                            <ng-container *ngIf="i>0">, </ng-container>
                                                            <ng-container *ngIf="dates.startDate != dates.endDate">
                                                                {{dates.startDate| date: 'dd/MM/yyyy' }} - {{dates.endDate | date: 'dd/MM/yyyy'}}
                                                            </ng-container>
                                                            <ng-container *ngIf="dates.startDate == dates.endDate">{{dates.startDate| date: 'dd/MM/yyyy' }}</ng-container>
                                                        </ng-container>
                                                    </p>
                                                    <!-- <ng-container >
                                                    <p ></p>
                                                    <p ></p>
                                                </ng-container> -->
                                                </span>
                                            </p>
                                        </div>
                                        <!-- <div class="col-6">
                                                <p>
                                                    <strong>Tuesday</strong>
                                                    <span>Afternoon</span>
                                                </p>
                                            </div>-->
                                    </div>
                                </div>
                            </div>
                        </mat-expansion-panel>

                        <!-- <mat-expansion-panel>
                            <mat-expansion-panel-header>
                                <mat-panel-title>
                                    My Days Off
                                </mat-panel-title>s
                            </mat-expansion-panel-header>
                            <div class="acrdn-cont">
                                <div class="acrdn-cont-inr">
                                    <div class="row">
                                        <div class="col-6">
                                            <p>
                                                <strong>Calendar</strong>
                                                <span *ngFor="let dates of daysOffList">
                                                    <p> {{dates.startDate |date }} - {{dates.endDate |date }} <p>
                                                </span>
                                            </p>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </mat-expansion-panel> -->
                    </mat-accordion>
                </div>
            </div>
        </div>
    </div>
</div>
